# Download a file through a signed download link

> Source: https://elaichi.ai/docs/api-reference/files/file-download/downloadfilevialink/

`GET /file-download/{id}`

Resource: **File Download** · API: **Files**

## Path parameters

- **`id`** _(string, required)_
  File id (`file_…`).

## Query parameters

- **`org`** _(string, required)_
  The organization the link was minted in.
- **`user`** _(string, required)_
  The person the link opens the file as.
- **`imp`** _(string)_
  The staff member impersonating `user`, when the link was minted in a support session.
- **`exp`** _(integer, required)_
  Expiry, Unix seconds.
- **`sig`** _(string, required)_
  The signature (64 hex characters).

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/file-download/<id>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/file-download/<id>', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/file-download/<id>"
headers = {
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
